<?php
$tdataaux = array();
$tdataaux[".searchableFields"] = array();
$tdataaux[".ShortName"] = "aux";
$tdataaux[".OwnerID"] = "";
$tdataaux[".OriginalTable"] = "aux";


$tdataaux[".pagesByType"] = my_json_decode( "{}" );
$tdataaux[".originalPagesByType"] = $tdataaux[".pagesByType"];
$tdataaux[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdataaux[".originalPages"] = $tdataaux[".pages"];
$tdataaux[".defaultPages"] = my_json_decode( "{}" );
$tdataaux[".originalDefaultPages"] = $tdataaux[".defaultPages"];

//	field labels
$fieldLabelsaux = array();
$fieldToolTipsaux = array();
$pageTitlesaux = array();
$placeHoldersaux = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsaux["Spanish"] = array();
	$fieldToolTipsaux["Spanish"] = array();
	$placeHoldersaux["Spanish"] = array();
	$pageTitlesaux["Spanish"] = array();
	$fieldLabelsaux["Spanish"]["alias"] = "Alias";
	$fieldToolTipsaux["Spanish"]["alias"] = "";
	$placeHoldersaux["Spanish"]["alias"] = "";
	$fieldLabelsaux["Spanish"]["aux"] = "Aux";
	$fieldToolTipsaux["Spanish"]["aux"] = "";
	$placeHoldersaux["Spanish"]["aux"] = "";
	$fieldLabelsaux["Spanish"]["color"] = "Color";
	$fieldToolTipsaux["Spanish"]["color"] = "";
	$placeHoldersaux["Spanish"]["color"] = "";
	$fieldLabelsaux["Spanish"]["id_aux"] = "Id Aux";
	$fieldToolTipsaux["Spanish"]["id_aux"] = "";
	$placeHoldersaux["Spanish"]["id_aux"] = "";
	$fieldLabelsaux["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsaux["Spanish"]["nombre"] = "";
	$placeHoldersaux["Spanish"]["nombre"] = "";
	$fieldLabelsaux["Spanish"]["orden"] = "Orden";
	$fieldToolTipsaux["Spanish"]["orden"] = "";
	$placeHoldersaux["Spanish"]["orden"] = "";
	$fieldLabelsaux["Spanish"]["valor"] = "Valor";
	$fieldToolTipsaux["Spanish"]["valor"] = "";
	$placeHoldersaux["Spanish"]["valor"] = "";
	$fieldLabelsaux["Spanish"]["valor_1"] = "Valor 1";
	$fieldToolTipsaux["Spanish"]["valor_1"] = "";
	$placeHoldersaux["Spanish"]["valor_1"] = "";
	$fieldLabelsaux["Spanish"]["valor_2"] = "Valor 2";
	$fieldToolTipsaux["Spanish"]["valor_2"] = "";
	$placeHoldersaux["Spanish"]["valor_2"] = "";
	$fieldLabelsaux["Spanish"]["valor_3"] = "Valor 3";
	$fieldToolTipsaux["Spanish"]["valor_3"] = "";
	$placeHoldersaux["Spanish"]["valor_3"] = "";
	$fieldLabelsaux["Spanish"]["valor_4"] = "Valor 4";
	$fieldToolTipsaux["Spanish"]["valor_4"] = "";
	$placeHoldersaux["Spanish"]["valor_4"] = "";
	if (count($fieldToolTipsaux["Spanish"]))
		$tdataaux[".isUseToolTips"] = true;
}


	$tdataaux[".NCSearch"] = true;



$tdataaux[".shortTableName"] = "aux";
$tdataaux[".nSecOptions"] = 0;

$tdataaux[".mainTableOwnerID"] = "";
$tdataaux[".entityType"] = 0;
$tdataaux[".connId"] = "bsn_dividendos_at_localhost";


$tdataaux[".strOriginalTableName"] = "aux";

	



$tdataaux[".showAddInPopup"] = false;

$tdataaux[".showEditInPopup"] = false;

$tdataaux[".showViewInPopup"] = false;

$tdataaux[".listAjax"] = false;
//	temporary
//$tdataaux[".listAjax"] = false;

	$tdataaux[".audit"] = true;

	$tdataaux[".locking"] = true;


$pages = $tdataaux[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaux[".edit"] = true;
	$tdataaux[".afterEditAction"] = 1;
	$tdataaux[".closePopupAfterEdit"] = 1;
	$tdataaux[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaux[".add"] = true;
$tdataaux[".afterAddAction"] = 1;
$tdataaux[".closePopupAfterAdd"] = 1;
$tdataaux[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaux[".list"] = true;
}



$tdataaux[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaux[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaux[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaux[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaux[".printFriendly"] = true;
}



$tdataaux[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaux[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaux[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaux[".isUseAjaxSuggest"] = true;



																																	

$tdataaux[".ajaxCodeSnippetAdded"] = false;

$tdataaux[".buttonsAdded"] = false;

$tdataaux[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaux[".isUseTimeForSearch"] = false;


$tdataaux[".badgeColor"] = "E07878";


$tdataaux[".allSearchFields"] = array();
$tdataaux[".filterFields"] = array();
$tdataaux[".requiredSearchFields"] = array();

$tdataaux[".googleLikeFields"] = array();
$tdataaux[".googleLikeFields"][] = "alias";
$tdataaux[".googleLikeFields"][] = "aux";
$tdataaux[".googleLikeFields"][] = "color";
$tdataaux[".googleLikeFields"][] = "id_aux";
$tdataaux[".googleLikeFields"][] = "nombre";
$tdataaux[".googleLikeFields"][] = "orden";
$tdataaux[".googleLikeFields"][] = "valor";
$tdataaux[".googleLikeFields"][] = "valor_1";
$tdataaux[".googleLikeFields"][] = "valor_2";
$tdataaux[".googleLikeFields"][] = "valor_3";
$tdataaux[".googleLikeFields"][] = "valor_4";



$tdataaux[".tableType"] = "list";

$tdataaux[".printerPageOrientation"] = 0;
$tdataaux[".nPrinterPageScale"] = 100;

$tdataaux[".nPrinterSplitRecords"] = 40;

$tdataaux[".geocodingEnabled"] = false;










$tdataaux[".pageSize"] = 30;

$tdataaux[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataaux[".strOrderBy"] = $tstrOrderBy;

$tdataaux[".orderindexes"] = array();


$tdataaux[".sqlHead"] = "SELECT `alias`,  	aux,  	color,  	id_aux,  	nombre,  	orden,  	valor,  	valor_1,  	valor_2,  	valor_3,  	valor_4";
$tdataaux[".sqlFrom"] = "FROM aux";
$tdataaux[".sqlWhereExpr"] = "";
$tdataaux[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaux[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaux[".arrGroupsPerPage"] = $arrGPP;

$tdataaux[".highlightSearchResults"] = true;

$tableKeysaux = array();
$tableKeysaux[] = "id_aux";
$tdataaux[".Keys"] = $tableKeysaux;


$tdataaux[".hideMobileList"] = array();




//	alias
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "alias";
	$fdata["GoodName"] = "alias";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","alias");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "alias";

		$fdata["sourceSingle"] = "alias";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`alias`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["alias"] = $fdata;
		$tdataaux[".searchableFields"][] = "alias";
//	aux
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "aux";
	$fdata["GoodName"] = "aux";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","aux");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "aux";

		$fdata["sourceSingle"] = "aux";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aux";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["aux"] = $fdata;
		$tdataaux[".searchableFields"][] = "aux";
//	color
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "color";
	$fdata["GoodName"] = "color";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","color");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "color";

		$fdata["sourceSingle"] = "color";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "color";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["color"] = $fdata;
		$tdataaux[".searchableFields"][] = "color";
//	id_aux
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "id_aux";
	$fdata["GoodName"] = "id_aux";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","id_aux");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_aux";

		$fdata["sourceSingle"] = "id_aux";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_aux";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["id_aux"] = $fdata;
		$tdataaux[".searchableFields"][] = "id_aux";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["nombre"] = $fdata;
		$tdataaux[".searchableFields"][] = "nombre";
//	orden
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "orden";
	$fdata["GoodName"] = "orden";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","orden");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "orden";

		$fdata["sourceSingle"] = "orden";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "orden";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["orden"] = $fdata;
		$tdataaux[".searchableFields"][] = "orden";
//	valor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "valor";
	$fdata["GoodName"] = "valor";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","valor");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "valor";

		$fdata["sourceSingle"] = "valor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["valor"] = $fdata;
		$tdataaux[".searchableFields"][] = "valor";
//	valor_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "valor_1";
	$fdata["GoodName"] = "valor_1";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","valor_1");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "valor_1";

		$fdata["sourceSingle"] = "valor_1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["valor_1"] = $fdata;
		$tdataaux[".searchableFields"][] = "valor_1";
//	valor_2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "valor_2";
	$fdata["GoodName"] = "valor_2";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","valor_2");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "valor_2";

		$fdata["sourceSingle"] = "valor_2";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["valor_2"] = $fdata;
		$tdataaux[".searchableFields"][] = "valor_2";
//	valor_3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "valor_3";
	$fdata["GoodName"] = "valor_3";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","valor_3");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "valor_3";

		$fdata["sourceSingle"] = "valor_3";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["valor_3"] = $fdata;
		$tdataaux[".searchableFields"][] = "valor_3";
//	valor_4
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "valor_4";
	$fdata["GoodName"] = "valor_4";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("aux","valor_4");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "valor_4";

		$fdata["sourceSingle"] = "valor_4";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_4";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaux["valor_4"] = $fdata;
		$tdataaux[".searchableFields"][] = "valor_4";


$tables_data["aux"]=&$tdataaux;
$field_labels["aux"] = &$fieldLabelsaux;
$fieldToolTips["aux"] = &$fieldToolTipsaux;
$placeHolders["aux"] = &$placeHoldersaux;
$page_titles["aux"] = &$pageTitlesaux;


changeTextControlsToDate( "aux" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["aux"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["aux"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_aux()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`alias`,  	aux,  	color,  	id_aux,  	nombre,  	orden,  	valor,  	valor_1,  	valor_2,  	valor_3,  	valor_4";
$proto0["m_strFrom"] = "FROM aux";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "alias",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto6["m_sql"] = "`alias`";
$proto6["m_srcTableName"] = "aux";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "aux",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto8["m_sql"] = "aux";
$proto8["m_srcTableName"] = "aux";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "color",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto10["m_sql"] = "color";
$proto10["m_srcTableName"] = "aux";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto12["m_sql"] = "id_aux";
$proto12["m_srcTableName"] = "aux";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto14["m_sql"] = "nombre";
$proto14["m_srcTableName"] = "aux";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "orden",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto16["m_sql"] = "orden";
$proto16["m_srcTableName"] = "aux";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "valor",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto18["m_sql"] = "valor";
$proto18["m_srcTableName"] = "aux";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_1",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto20["m_sql"] = "valor_1";
$proto20["m_srcTableName"] = "aux";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_2",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto22["m_sql"] = "valor_2";
$proto22["m_srcTableName"] = "aux";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_3",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto24["m_sql"] = "valor_3";
$proto24["m_srcTableName"] = "aux";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_4",
	"m_strTable" => "aux",
	"m_srcTableName" => "aux"
));

$proto26["m_sql"] = "valor_4";
$proto26["m_srcTableName"] = "aux";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto28=array();
$proto28["m_link"] = "SQLL_MAIN";
			$proto29=array();
$proto29["m_strName"] = "aux";
$proto29["m_srcTableName"] = "aux";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "alias";
$proto29["m_columns"][] = "aux";
$proto29["m_columns"][] = "color";
$proto29["m_columns"][] = "id_aux";
$proto29["m_columns"][] = "nombre";
$proto29["m_columns"][] = "orden";
$proto29["m_columns"][] = "valor";
$proto29["m_columns"][] = "valor_1";
$proto29["m_columns"][] = "valor_2";
$proto29["m_columns"][] = "valor_3";
$proto29["m_columns"][] = "valor_4";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "aux";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "aux";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="aux";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_aux = createSqlQuery_aux();


	
		;

											

$tdataaux[".sqlquery"] = $queryData_aux;



$tdataaux[".hasEvents"] = false;

?>